> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Flipwallets

> Get Flipwallets of a given user

<Warning>
  Flipwallets returned in the response can change over time, so it's not recommended to cache
  them for extended periods.
</Warning>


## OpenAPI

````yaml GET /v1/flipwallets
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/flipwallets:
    get:
      description: Get Flipwallets of a given user
      parameters:
        - in: query
          name: platform
          description: Platform to query
          required: true
          schema:
            type: string
            enum:
              - discord
            example: discord
        - in: query
          name: user
          description: Platform ID of the user to query
          required: true
          schema:
            type: string
            example: '328218133074804739'
      responses:
        '200':
          description: User's Flipwallets for each supported chain
          content:
            application/json:
              schema:
                example:
                  wallets:
                    - id: 88d60e7b-4882-427f-a022-49dc321ae123
                      chain: Base
                      chainId: '8453'
                      address: '0x8dd3b9bc6f6179b8e251b8f56b2e417e74e5227e'
                    - id: 9bf7450d-d0f5-49ae-bec3-10e96b058c62
                      chain: Solana
                      chainId: ''
                      address: 4SdzrfSMJ7KpS2HNRp1MK1H36Wr4ZsofpZtyy6JrE45y
                    - id: bccd1eee-e313-44f7-8ac8-11a0754aed38
                      chain: Osmosis
                      chainId: osmosis-1
                      address: osmo1m6pakld5tu09n44c4lx0v27msdkwmxn3tnyltj
                    - id: 276fcce7-2e71-456f-acf0-add879e14055
                      chain: zkCronos
                      chainId: '388'
                      address: '0x8dd3b9bc6f6179b8e251b8f56b2e417e74e5227e'
                type: object
                properties:
                  wallets:
                    description: List of Flipwallets associated with the user.
                    type: array
                    items:
                      example:
                        id: 72b4052e-e0e0-4c6c-835d-fa90604abf6c
                        chain: Base
                        chainId: '8453'
                        address: '0x5c8eda15c9470562fa09b80de50c9295fa805d32'
                      type: object
                      properties:
                        id:
                          description: Unique identifier of the Flipwallet.
                          type: string
                        chain:
                          $ref: '#/components/schemas/__schema13'
                        chainId:
                          description: Chain or network ID.
                          type: string
                        address:
                          description: Flipwallet address.
                          type: string
                      required:
                        - id
                        - chain
                        - chainId
                        - address
                      additionalProperties: false
                required:
                  - wallets
                additionalProperties: false
components:
  schemas:
    __schema13:
      description: Unique chain identifier in Flipsuite
      type: string
      enum:
        - Abstract
        - ApeChain
        - Arbitrum
        - Atto
        - Avalanche
        - Base
        - Berachain
        - Blast
        - BSC
        - CosmosHub
        - Cronos
        - Ethereum
        - Harmony
        - HyperCore
        - HyperEvm
        - Initia
        - Injective
        - Intergaze
        - Linea
        - Mitosis
        - Nano
        - Nibiru
        - Optimism
        - Osmosis
        - Pepecoin
        - Plasma
        - Polygon
        - Robinhood
        - SEDA
        - Sei
        - SeiEvm
        - Solana
        - Somnia
        - Sonic
        - Stargaze
        - Terra
        - Unichain
        - Yominet
        - Zaar
        - zkCronos

````